// TimeBetw.cpp : Defines the entry point for the console application.
//

#include <conio.h>
#include <stdio.h>
#include <windows.h>


int main( int argc, char* argv[] )
{
	if( argc != 3 ) {
		// No parameters
		printf( "TIMEBETW ver 1.0, created by Bob @ grsoftware.net 14 June 2014, ALL RIGHTS RESERVED!\n" );
		printf( "Test current time against specified range.\n" );
		printf( "Error level 1=FALSE(out of specified range), 0=TRUE(Inside specified range)\n\n" );
		printf( "USAGE: TimeBetw HH:MM hh:mm\n" );
		printf( "Where:\t<HH:MM> = start of time range specified in hours and minutes\n" );
		printf( "\t<hh:mm> = end of time range specified in hours and minutes\n\n" );
		//getch();
		return FALSE;
	}

	// Get Start time
	int sh, sm, eh, em;
	sscanf( argv[1], "%2d:%2d", &sh, &sm );
	sscanf( argv[2], "%2d:%2d", &eh, &em );

	// Get current time
	SYSTEMTIME st;
	FILETIME ft, ct;
	GetSystemTimeAsFileTime( &ft );
	FileTimeToLocalFileTime( &ft, &ct );
	FileTimeToSystemTime( &ct, &st );

	int start, end, x;
	x = st.wHour * 60 + st.wMinute;
	start = sh * 60 + sm;
	end = eh * 60 + em;

	BOOL bRes = x >= start && x <= end;
#ifdef _DEBUG	
	printf( "TIMEBETW Result = %d\n", !bRes );
#endif
// 	getch();
	return !bRes;
}
